unit usignet;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ComCtrls, ugraftool;

type
  //Matrix = ARRAY[1..14] OF TPOINT; in der Unit DPGraftool deklariert

  Tfsignet = class(TForm)
    BitBtn1: TBitBtn;
    bzeichnen: TButton;
    procedure bzeichnenClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  fsignet: Tfsignet;
  Signet : Matrix;

implementation

{$R *.dfm}

procedure Tfsignet.bzeichnenClick(Sender: TObject);
VAR i : INTEGER;

PROCEDURE Line(x1,y1,x2,y2 : INTEGER);
 BEGIN
  canvas.MOVETO(x1,y1);
  canvas.LINETO(x2,y2);
 END;

PROCEDURE Zeichne_Signet(s: Matrix);
BEGIN
{Bildschirm des Computers}
  canvas.Rectangle(s[10].X, s[10].Y, s[11].X, s[11].Y);
  canvas.brush.Style:=bssolid;
  canvas.Brush.Color:=clblue;
  canvas.Rectangle(s[12].X, s[12].Y, s[13].X, s[13].Y);
  //oder: canvas.FillRect(Rect(s[12].X, s[12].Y, s[13].X, s[13].Y));
  canvas.brush.Style:=bsclear; //Rectangle fllt sich sonst auch blau

{Gehuse des Computers}
  canvas.Rectangle(s[14].X, s[14].Y, s[15].X, s[15].Y);

{Schlitze der Diskettenlaufwerke}
  Line(s[16].X, s[16].Y, s[17].X, s[17].Y);
  Line(s[18].X, s[18].Y, s[19].X, s[19].Y);

{Begrenzungspolygon}
  canvas.polygon(Slice(s,8));
END;

PROCEDURE Schrift(s: Matrix);
VAR t1,t2 : STRING[10];
BEGIN
  t1:='PROFI';
  t2:='SOFT';
  canvas.TextOut(s[20].X - canvas.TextWidth(t1) DIV 2, s[20].Y,t1);
  canvas.TextOut(s[21].X - canvas.TextWidth(t2) DIV 2, s[21].Y,t2);
END;

begin
 SetViewPortOrgEx(Canvas.Handle, fsignet.width DIV 2, fsignet.height DIV 2,nil);
 Signet_Daten(Signet);
 Verschieben(-200,0,21,Signet);
 FOR i:=1 TO 20 DO
  BEGIN
   Verschieben(20,0,21,Signet);
   Zeichne_Signet(Signet);
   Schrift(Signet);
  END;
end;

end.
